//
//  SampleOekakiAppDelegate.m
//  SampleOekaki
//

#import "SampleOekakiAppDelegate.h"
#import "RootViewController.h"
#import "DetailViewController.h"

@implementation SampleOekakiAppDelegate

@synthesize window, splitViewController, rootViewController, detailViewController;

#pragma mark -
#pragma mark Application lifecycle

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {

    [self.window addSubview:splitViewController.view];
    [self.window makeKeyAndVisible];

    [detailViewController restoreImage];

    return YES;
}

- (void)applicationWillTerminate:(UIApplication *)application {
    [detailViewController createBackup];
}

#pragma mark -
#pragma mark Memory management

- (void)applicationDidReceiveMemoryWarning:(UIApplication *)application {
}

- (void)dealloc {
    [splitViewController release];
    [window release];
    [super dealloc];
}

@end